Package Details: orchis-theme-git 2024.05.01.r8.g1e6b061c-1

Git Clone URL: https://aur.archlinux.org/orchis-theme-git.git (read-only, click to copy)
Package Base: orchis-theme-git
Description: A Material Design theme for GNOME/GTK based desktop environments.
Upstream URL: https://github.com/vinceliuice/Orchis-theme
Licenses: GPL-3.0-or-later
Conflicts: orchis-theme
Provides: orchis-theme
Submitter: yochananmarqos
Maintainer: yochananmarqos
Last Packager: yochananmarqos
Votes: 18
Popularity: 0.080652
First Submitted: 2020-04-07 23:47 (UTC)
Last Updated: 2024-05-07 21:00 (UTC)

Required by (3)

Sources (1)

Latest Comments

1 2 3 Next › Last »

yochananmarqos commented on 2024-05-07 20:59 (UTC)

@Cryen: Vince moved the wallpaper folder, it's fixed now.

Cryen commented on 2024-05-07 19:55 (UTC)

No longer builds possibly because of the double slash in the path?

Installing '/home/user/.cache/paru/clone/orchis-theme-git/pkg/orchis-theme-git/usr/share/themes//Orchis-Yellow-Dark-Compact'...

Done.
install: cannot stat 'src/wallpaper/*.jpg': No such file or directory
==> ERROR: A failure occurred in package_orchis-theme-git().
    Aborting...

yochananmarqos commented on 2023-01-16 15:44 (UTC)

@Binero: Fixed.

Binero commented on 2023-01-16 15:37 (UTC)

This package no longer builds, with the following error:

cp: cannot stat 'src/gnome-shell/extensions/dash-to-panel': No such file or directory

hey951753 commented on 2022-08-23 04:15 (UTC) (edited on 2022-08-23 17:40 (UTC) by hey951753)

I noticed something, using the '-l' option when installing all themes wouldn't actually be a nice addition, it will link the theme of each color to /home/x/.config/gtk-4.0 for libadwaita and it just won't work, unlike when you use a single color which would nicely fix it as expected. Until devs come up with an idea for a better way of integrating this fix, I think it's useless unless you use a single color. I think you should remove it.

yochananmarqos commented on 2022-08-22 21:18 (UTC)

@hey951753: Ah, that is a nice addition. Done!

hey951753 commented on 2022-08-22 20:20 (UTC)

Also, I forgot about something, the 'primary' option passed to tweaks parameter changes the color of checkboxes to your chosen accent color in libadwaita apps. It would be nice to add.

hey951753 commented on 2022-08-22 20:03 (UTC)

Much appreciated for your time and effort, thanks for the update.

yochananmarqos commented on 2022-08-22 15:37 (UTC)

@hey951753:

Update the license to GPL3

Done.

Dependencies would be better if they were depends=('gtk3>=3.20' 'gnome-themes-extra' 'gtk-engine-murrine' 'sassc'), as stated on the GitHub page.

sassc is only a build dependency. gtk-engine-murrine is only required for Gtk 2 (which is long EOL) support, hence why it's optional.

You may want to remove the --shell option passed to install.sh

It was necessary before building in a clean chroot if gnome-shell was not present. However, Vince has changed it since then to fallback to using the latest version if it's not found. I've removed the flag.

Pass -l option to install.sh to integrate the theme into libadwaita

Done.

hey951753 commented on 2022-08-22 05:00 (UTC) (edited on 2022-08-22 05:02 (UTC) by hey951753)

I was stupid enough to not notice this PKGBUILD on the AUR so I made my own. Here are some suggestions for yours:

Update the license to GPL3, it's the current one on: https://github.com/vinceliuice/Orchis-theme/.

Dependencies would be better if they were depends=('gtk3>=3.20' 'gnome-themes-extra' 'gtk-engine-murrine' 'sassc'), as stated on the GitHub page.

You may want to remove the --shell option passed to install.sh, because removing it will make the script check for shell version automatically. This way you also won't have to visit the AUR when the shell gets updated.

Pass -l option to install.sh to integrate the theme into libadwaita (like GNOME Control Center app).

Here's my own PKGBUILD (I don't neither Firefox nor Dash to Panel so ignore the short package()): https://pastebin.com/raw/Y44cUyZn